ViterbiNBest.PositionNBest (Lucene 10.5.1 common API)
Description: declaration: package: org.apache.lucene.analysis.morph, class: ViterbiNBest, class: PositionNBest

Package org.apache.lucene.analysis.morph

# Class ViterbiNBest.PositionNBest

java.lang.Object
org.apache.lucene.analysis.morph.Viterbi.Position
org.apache.lucene.analysis.morph.ViterbiNBest.PositionNBest

Enclosing class:
  `ViterbiNBest<T extends Token,U extends MorphData>`

public static final class ViterbiNBest.PositionNBest extends Viterbi.Position
`Viterbi.Position` extension; this holds all forward pointers to calculate n-best path.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PositionNBest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addForward(int forwardPos, int forwardIndex, int forwardID, TokenType forwardType)`
  `int`
  `getForwardCount()`
  `int`
  `getForwardID(int index)`
  `int`
  `getForwardPos(int index)`
  `TokenType`
  `getForwardType(int index)`
  `void`
  `reset()`
  `void`
  `setForwardCount(int forwardCount)`

  ### Methods inherited from class org.apache.lucene.analysis.morph.Viterbi.Position

  `add, getBackID, getBackIndex, getBackPos, getBackType, getBackWordPos, getCost, getCount, getLastRightID, getPos, setCount`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PositionNBest

    public PositionNBest()

- ## Method Details

  - ### addForward

    public void addForward(int forwardPos, int forwardIndex, int forwardID, TokenType forwardType)

  - ### reset

    public void reset()
    Overrides:
      `reset` in class `Viterbi.Position`

  - ### getForwardCount

    public int getForwardCount()

  - ### setForwardCount

    public void setForwardCount(int forwardCount)

  - ### getForwardType

    public TokenType getForwardType(int index)

  - ### getForwardID

    public int getForwardID(int index)

  - ### getForwardPos

    public int getForwardPos(int index)